## ros-noetic-mqtt-bridge 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mqtt_bridge)

find_package(catkin REQUIRED)
catkin_python_setup()
catkin_package()


install(PROGRAMS
  scripts/mqtt_bridge_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

add_custom_target(install_depends ALL COMMAND "pip3" "install" "--user" "-r" "${PROJECT_SOURCE_DIR}/requirements.txt")

=== requirements.txt ===
inject>=4.0
msgpack-python>=0.4.8
paho-mqtt>=1.2
pymongo

=== debian/changelog ===
ros-noetic-mqtt-bridge (0.2.1-1buster) buster; urgency=high

  * fix build dependency (#43 <https://github.com/groove-x/mqtt_bridge/issues/43>)
  * Contributors: Junya Hayashi

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Thu, 31 Dec 2020 00:00:00 -0000

ros-noetic-mqtt-bridge (0.2.0-1buster) buster; urgency=high

  * migrate to Python 3 (#25 <https://github.com/groove-x/mqtt_bridge/issues/25>)
  * Contributors: Christopher Mayershofer, Junya Hayashi, Yuma Mihira

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Thu, 31 Dec 2020 00:00:00 -0000

ros-noetic-mqtt-bridge (0.1.8-1buster) buster; urgency=high

  * configure rostest and run it on circleci (#41 <https://github.com/groove-x/mqtt_bridge/issues/41>)
  * split requirements.txt (#38 <https://github.com/groove-x/mqtt_bridge/issues/38>)
  * add unittests (#37 <https://github.com/groove-x/mqtt_bridge/issues/37>)
  * Fix 'install_requires' warning when building with --install (#32 <https://github.com/groove-x/mqtt_bridge/issues/32>)
  * Contributors: Jacob Seibert, Junya Hayashi

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Thu, 31 Dec 2020 00:00:00 -0000

ros-noetic-mqtt-bridge (0.1.7-1buster) buster; urgency=high

  * Fix mqtt subscribing to private path (#27 <https://github.com/groove-x/mqtt_bridge/issues/27>)
  * Fix frequency limit (#26 <https://github.com/groove-x/mqtt_bridge/issues/26>)
  * Add bson module in requirements.txt (#10 <https://github.com/groove-x/mqtt_bridge/issues/10>)
  * Fix Bridge not to fall when ros msg cannot be created (#4 <https://github.com/groove-x/mqtt_bridge/issues/4>)
  * Contributors: 5tan, Junya Hayashi, Tomas Cernik, Yuma Mihira, kapilPython

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Sun, 21 Jun 2020 00:00:00 -0000

ros-noetic-mqtt-bridge (0.1.6-1buster) buster; urgency=high

  * fix if frequency is none (#2 <https://github.com/groove-x/mqtt_bridge/issues/2>)

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Fri, 10 Nov 2017 00:00:00 -0000

ros-noetic-mqtt-bridge (0.1.5-1buster) buster; urgency=high

  * Update configurations

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-noetic-mqtt-bridge (0.1.0-1buster) buster; urgency=high

  * Initial Release

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Sun, 04 Dec 2016 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-mqtt-bridge
Section: misc
Priority: optional
Maintainer: Junya Hayashi <junya.hayashi@groove-x.com>
Build-Depends: debhelper (>= 9.0.0), python3-pip, python3-setuptools, ros-noetic-catkin
Homepage: http://www.ros.org/wiki/mqtt_bridge
Standards-Version: 3.9.2

Package: ros-noetic-mqtt-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-msgpack, python3-pymongo, ros-noetic-rosbridge-library, ros-noetic-rospy, ros-noetic-std-msgs
Description: The mqtt_bridge package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mqtt-bridge//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
